List Subscription Lists

Return a list of subscription list objects.

https://app.mojotxt.com/api/v1/{phone_number}/lists/list

Parameters:

Parameters can be sent in the URL querystring or as POST variables.

ParameterOptionsDescription
SortListID, KeywordID, Keyword, ListName, ListedSort the list by a field.
SortDirectionASC, DESCSort Ascending or Descending
LimitAny IntegerLimit the results to a certain number of records.
PageAny IntegerIf Limit is specified, return a certain page of results. The first set of results is page 1.

Example Request:

GET https://app.mojotxt.com/api/v1/+15555550100/lists/list?Sort=Keyword&SortDirection=ASC

Example Result:

{
    "result": "success",
    "timestamp": 1793491200,
    "request": {
        "Sort": "Keyword",
        "SortDirection": "ASC",
        "object": "lists",
        "verb": "list",
        "phone": "+15555550100"
    },
    "record_count": 3,
    "records": [
        {
            "ListID": 3,
            "KeywordID": 38,
            "Keyword": "ALERTS",
            "ListName": "Closing Alerts",
            "Listed": 1
        },
        {
            "ListID": 1,
            "KeywordID": 37,
            "Keyword": "NOTES",
            "ListName": "Weekly Notes",
            "Listed": 1
        },
        {
            "ListID": 134,
            "KeywordID": 296,
            "Keyword": "UPDATES",
            "ListName": "Weekly Updates",
            "Listed": 0
        }
    ]
}